----------------------------------------------------------------------------
--  top.vhd
--	Simple VHDL example
--	Version 1.0
--
--  Copyright (C) 2015 H.Poetzl
--
--	This program is free software: you can redistribute it and/or
--	modify it under the terms of the GNU General Public License
--	as published by the Free Software Foundation, either version
--	2 of the License, or (at your option) any later version.
--
--  Vivado 2015.2:
--    mkdir -p build.vivado
--    (cd build.vivado && vivado -mode tcl -source ../vivado.tcl)
----------------------------------------------------------------------------



library IEEE;
use IEEE.std_logic_1164.ALL;

library unisim;
use unisim.VCOMPONENTS.all;


entity top is
    port (
	data : in std_logic;	
	tris : in std_logic;
	pin : out std_logic;
	--
	din : out std_logic;
	pin2 : inout std_logic
    );

end entity top;


architecture RTL of top is

begin

    OBUFT_inst : OBUFT
	generic map (
	    IOSTANDARD => "LVCMOS33",
	    DRIVE => 4 )
	port map (
	    I => data, 
	    T => tris,
	    O => pin);

    IOBUF_inst : IOBUF
	generic map (
	    IOSTANDARD => "LVCMOS33",
	    DRIVE => 4 )
	port map (
	    I => data, 
	    T => tris,
	    O => din,
	    IO => pin2);

    PULLUP_inst : PULLUP
	port map (O => pin2);

end RTL;
